,

‘Heartbleed’ OpenSSL Vulnerability

Heartbleed

Heartbleed – Causing heartache

The Heartbleed Vulnerability has been a hot topic in tech news in the last week, with many websites in the top 10,000 of the web having been affected. Of particular note is the wide reach of OpenSSL, being used by almost every Fortune 500 company out there.

Sleepless have investigated our backup solutions and websites and can confirm that none are subject to this vulnerability, and we see no risk to our customer data. We will do everything possible to ensure the continued safety of our customer data, applications and systems.

It is important to note that the Sleepless backup solutions use proprietary means for securing channels for data transfer, and are therefore unaffected by ‘Heartbleed’. None of our ‘Sleepless Cloud Backup’ applications and systems use the libraries in which the vulnerabilities were discovered.

Our email delivery systems, which use the version of OpenSSL which was found to be vulnerable, were remediated on Thursday 10th April 2014.